--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID,PrinterID)
on new (me,p1,p2)
  me._class = #PrintDialog
  me.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  if ilk(p2)=#instance then p2 = p2._id
  me._id = $.Qt._qx.newWidget(me._class,p1,p2)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
	obj._class = #PrintDialog
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

