--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #Wizard
  me.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
	obj._class = #Wizard
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- addPage (WizardPageID)
on addPage (me,p1)
  if ilk(p1)=#instance then p1 = p1._id
  $.Qt._qx.callWidget(me._id,#addPage,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- currentIdChanged -> WizardPageID
on currentIdChanged(me,id,p1)
  me._detach(#currentIdChanged,id,p1)
end

-- accepted
on accepted(me,id)
  me._detach(#accepted,id)
end

-- finished -> int
on finished(me,id,p1)
  me._detach(#finished,id,p1)
end

-- rejected
on rejected(me,id)
  me._detach(#rejected,id)
end

