--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #ProgressBar
  me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #ProgressBar
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- setAlignment (int)
on setAlignment (me,p1)
  $.Qt._qx.callWidget(me._id,#setAlignment,p1)
end

-- setFormat (string)
on setFormat (me,p1)
  $.Qt._qx.callWidget(me._id,#setFormat,p1)
end

-- setInvertedAppearance (bool)
on setInvertedAppearance (me,p1)
  $.Qt._qx.callWidget(me._id,#setInvertedAppearance,p1)
end

-- setMaximum (int)
on setMaximum (me,p1)
  $.Qt._qx.callWidget(me._id,#setMaximum,p1)
end

-- setMinimum (int)
on setMinimum (me,p1)
  $.Qt._qx.callWidget(me._id,#setMinimum,p1)
end

-- setTextVisible (bool)
on setTextVisible (me,p1)
  $.Qt._qx.callWidget(me._id,#setTextVisible,p1)
end

-- setValue (int)
on setValue (me,p1)
  $.Qt._qx.callWidget(me._id,#setValue,p1)
end

-- text () -> string
on text (me)
  return $.Qt._qx.callWidget(me._id,#text)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- valueChanged -> int
on valueChanged(me,id,p1)
  me._detach(#valueChanged,id,p1)
end

